# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedSecurityClassificationAssignment Class Reference

`#include <StepAP214_AppliedSecurityClassificationAssignment.hxx>`

Inheritance diagram for StepAP214_AppliedSecurityClassificationAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedSecurityClassificationAssignment ()
| Returns a AppliedSecurityClassificationAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_SecurityClassification)&aAssignedSecurityClassification)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_SecurityClassification)&aAssignedSecurityClassification, const Handle(StepAP214_HArray1OfSecurityClassificationItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfSecurityClassificationItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfSecurityClassificationItem | Items () const
Standard_EXPORT const StepAP214_SecurityClassificationItem & | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfSecurityClassificationItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedSecurityClassificationAssignment::StepAP214_AppliedSecurityClassificationAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedSecurityClassificationAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_SecurityClassificationAssignment.

virtual Standard_EXPORT void StepAP214_AppliedSecurityClassificationAssignment::Init | ( | const Handle(StepBasic_SecurityClassification)& | aAssignedSecurityClassification,
|  | const Handle(StepAP214_HArray1OfSecurityClassificationItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AppliedSecurityClassificationAssignment::Init | ( | const Handle(StepBasic_SecurityClassification)& | aAssignedSecurityClassification | ) | `[virtual]`

| Reimplemented from StepBasic_SecurityClassificationAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfSecurityClassificationItem StepAP214_AppliedSecurityClassificationAssignment::Items | ( |  | ) | const

Standard_EXPORT const StepAP214_SecurityClassificationItem& StepAP214_AppliedSecurityClassificationAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AppliedSecurityClassificationAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedSecurityClassificationAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfSecurityClassificationItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfSecurityClassificationItem StepAP214_AppliedSecurityClassificationAssignment::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedSecurityClassificationAssignment.hxx